public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/elasticsearch-transport/
Date: Sun, 27 May 2018 06:42:05 +0000 (UTC)	[thread overview]
Message-ID: <1527403315.af1d781da86cd66f8a91d44527af29499bb6f538.graaff@gentoo> (raw)

commit:     af1d781da86cd66f8a91d44527af29499bb6f538
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 27 06:39:02 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun May 27 06:41:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af1d781d

dev-ruby/elasticsearch-transport: add 5.0.5

Package-Manager: Portage-2.3.36, Repoman-2.3.9

 dev-ruby/elasticsearch-transport/Manifest          |  1 +
 .../elasticsearch-transport-5.0.5.ebuild           | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-ruby/elasticsearch-transport/Manifest b/dev-ruby/elasticsearch-transport/Manifest
index 26ea183467f..4f6175e4090 100644
--- a/dev-ruby/elasticsearch-transport/Manifest
+++ b/dev-ruby/elasticsearch-transport/Manifest
@@ -1 +1,2 @@
 DIST elasticsearch-ruby-5.0.4.tar.gz 213565 BLAKE2B 479e79964e5e5fd6ab2774e95957100eaa157a64c5e7aa069f7aeefc771f9e749ba35f866ef33dfc4e7839e11f67dd7792a742f0c8dbf8d893ed25b098e78367 SHA512 aaa4b1a41de62128cc3cc3fe174fd7f95e6153f25f1640dbd0cde5858e77924e85bd78e2869968c498b3f2f007215504aaee322df954ae44b0a64dacc396d217
+DIST elasticsearch-ruby-5.0.5.tar.gz 216692 BLAKE2B 4328b40932d6d0bd3608da517b976136ec2b09a760f1b6e377a680d23515fe6a9c605db84725d0598db3da6eb25dd43b5042c20cc6cc7cac33be9d947c9dbf32 SHA512 dd82ec7794753283d2c08d19d60bcc66655c9b8f2a6620f720f84121c57c9b6dc02de67c4a445a998316523f045e13b744b931bf815b64814ea280cef2cb0806

diff --git a/dev-ruby/elasticsearch-transport/elasticsearch-transport-5.0.5.ebuild b/dev-ruby/elasticsearch-transport/elasticsearch-transport-5.0.5.ebuild
new file mode 100644
index 00000000000..b3c5e1ac179
--- /dev/null
+++ b/dev-ruby/elasticsearch-transport/elasticsearch-transport-5.0.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_TASK_DOC=doc
+
+inherit ruby-fakegem
+
+MY_P=elasticsearch-ruby-${PV}
+DESCRIPTION="Ruby integrations for ES, elasticsearch-transport module"
+HOMEPAGE="https://github.com/elastic/elasticsearch-ruby"
+SRC_URI="https://github.com/elastic/elasticsearch-ruby/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	dev-ruby/faraday
+	dev-ruby/multi_json
+"
+ruby_add_bdepend "
+	doc? ( dev-ruby/yard )
+	test? (
+		dev-ruby/ansi
+		dev-ruby/mocha:1.0
+		dev-ruby/pry
+		dev-ruby/shoulda-context
+	)
+"
+
+# Tests need additional modules (at least 'turn') packaged. Then someone
+# should look into running them and so on.
+RESTRICT="test"
+
+RUBY_S=${MY_P}/${PN}
+
+all_ruby_prepare() {
+	# fix to work without git
+	sed -i -e 's/git ls-files/find -type f/' *.gemspec || die
+
+	# remove useless dependencies from Rakefile
+	sed -e '/bundler/d' \
+		-e '/require.*cane/,/end/d' \
+		-i Rakefile || die
+}


             reply	other threads:[~2018-05-27  6:42 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-27  6:42 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-06 14:06 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/elasticsearch-transport/ Hans de Graaff
2024-11-15 10:32 Hans de Graaff
2024-06-09  9:20 Hans de Graaff
2024-05-25  9:17 Hans de Graaff
2024-05-25  9:17 Hans de Graaff
2024-02-18  6:59 Hans de Graaff
2023-12-17  9:36 Hans de Graaff
2023-09-29  6:14 Hans de Graaff
2023-09-06  5:34 Hans de Graaff
2023-07-18  5:50 Hans de Graaff
2023-07-08  6:04 Hans de Graaff
2023-04-01  8:26 Hans de Graaff
2023-04-01  8:26 Hans de Graaff
2022-05-08  7:28 Hans de Graaff
2021-07-27  6:30 Hans de Graaff
2021-07-23 11:58 Hans de Graaff
2021-07-23 11:58 Hans de Graaff
2021-07-12 13:26 Hans de Graaff
2020-05-24  4:14 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2020-05-02  5:18 Hans de Graaff
2020-01-31  8:46 Hans de Graaff
2019-11-16  9:36 Hans de Graaff
2019-06-30  7:23 Hans de Graaff
2019-06-08  8:00 Michał Górny
2019-05-25  6:22 Hans de Graaff
2019-05-09  5:54 Hans de Graaff
2019-05-04  6:50 Hans de Graaff
2019-04-15 15:31 Hans de Graaff
2019-04-11 18:29 Hans de Graaff
2018-08-01  6:07 Hans de Graaff
2018-05-27  7:19 Hans de Graaff
2017-10-14 16:19 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1527403315.af1d781da86cd66f8a91d44527af29499bb6f538.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox